
networks:

  local:
    internal: false
  nextc:
    internal: true

volumes:
  
  webtop-config:
  plexs-config:
  embys-config:
  fsync-config:
  nextc-config:
  nextc-db-config:

services:

  webtop:
    image: lscr.io/linuxserver/webtop:alpine-mate
    restart: unless-stopped
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Australia/Perth
      - SUBFOLDER=/ #optional
      - KEYBOARD=en-us-qwerty #optional
      - TITLE=Webtop #optional
    volumes:
      - ${BIND?Err}webtop-config:/config
    ports:
      - "3000:3000"
    devices:
      - /dev/dri:/dev/dri #optional
    shm_size: "1gb" #optional

  plexs:
    image: lscr.io/linuxserver/plex:1.29.1
    restart: always
    environment:
      - PUID=1000
      - PGID=2000
      - VERSION=docker
      - PLEX_CLAIM=
      - TZ=Australia/Perth
    volumes:
      - ${BIND?err}plexs-config:/config
      - ${DATA?err}fmedia:/fmedia
    ports:
      - "32400:32400"
      - "1900:1900"
      - "5353:5353/udp"
      - "8324:8324"
      - "32410/udp"
      - "32412/udp"
      - "32413/udp"
      - "32414/udp"
      - "32469"
    devices:
      - /dev/dri:/dev/dri

  embys:
    image: lscr.io/linuxserver/emby:amd64-4.7.8
    restart: always
    environment:
      - PUID=1000
      - PGID=2000
      - TZ=Australia/Perth
    volumes:
      - ${BIND?err}embys-config:/config
      - ${DATA?err}fmedia:/fmedia
    ports:
      - "8096:8096"
    networks:
      - local
    devices:
      - /dev/dri:/dev/dri

  fsync:
    image: lscr.io/linuxserver/syncthing:1.22.0
    restart: always
    environment:
      - PUID=1000
      - PGID=2000
      - TZ=Australia/Perth
    volumes:
      - ${BIND?err}fsync-config:/config
      - ${DATA?err}fmedia/Mobile/Andrew:/Andrew
      - ${DATA?err}fmedia/Mobile/Susan:/Susan
    ports:
      - "8384:8384"
      - "22000:22000/tcp"
      - "22000:22000/udp"
      - "21027:21027/udp"
    networks:
      - local

  nextc:
    image: lscr.io/linuxserver/nextcloud:25.0.0
    restart: always
    environment:
      - PUID=1000
      - PGID=2000
      - TZ=Australia/Perth
    volumes:
      - ${BIND?err}nextc-config:/config
      - ${DATA?err}ncdata:/ncdata
      - ${DATA?err}fmedia:/fmedia
    ports:
      - "8443:443"
    depends_on:
      - nextc-db
    networks:
      - local
      - nextc

  nextc-db:
    image: lscr.io/linuxserver/mariadb:10.6.10
    restart: always
    volumes:
      - ${BIND?err}nextc-db-config:/config
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Australia/Perth
      - REMOTE_SQL=
    networks:
      - nextc

